astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Virtual Observatory Access (`astropy.vo`) »
- VO Simple Cone Search »
- search_all

# search_all

`astropy.vo.client.conesearch.``search_all`(*args, **kwargs)

  Perform Cone Search and returns the results of all successful queries.

  Warning

  Could potentially take up significant run time and computing resources.

  Parameters:

  args, kwargs :

  > Arguments and keywords accepted by `conesearch()`.

  Returns:

  all_results : dict of `astropy.io.votable.tree.Table` objects

  > A dictionary of tables from successful VO service requests, with keys being the access URLs. If none is successful, an empty dictionary is returned.

  Raises:

  ConeSearchError :

  > When invalid inputs are passed into Cone Search.